%global momorel 11
%global src_date 20061127
%global src_num 1
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages

Summary: A coding system and character code translator system.
Name: elisp-Mule-UCS
Epoch: 1
Version: 0.85
Release: 0.%{src_date}.%{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
# see http://tats.haun.org/mule-ucs/
Source0: http://www.meadowy.org/~shirai/elisp/mule-ucs.tar.gz
#
# see http://nijino.homelinux.net/emacs/mule-ucs.html
Source1: http://nijino.homelinux.net/emacs/xjisx0213.tar.gz
#
# see http://nijino.homelinux.net/emacs/jisx0208ex.html
Source2: http://nijino.homelinux.net/emacs/un-jisx0208ex.tar.gz
Source100: dot.emacs
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
  Mule-UCS is an Emacs Lisp library to define encoding/decoding schemes by
rather simple translation rules.

  Emacs prepares encoding/decoding schemes in the following 2 mechanisms.

  (A) ... built-in ISO/IEC 2022 encoder/decoder
  (B) ... Code Conversion Language(CCL) engine

  Although (A) provides powerful encoding/decoding schemes as to ISO/IEC 2022,
we cannot utilize this for any other encoding schemes.
(B) is a simple register machine.  However, CCL is an arcane language
because it is mysterious and obscure:-P.

  Mule-UCS provides flexible and complehensible encoding mechanism to Emacs.
Currently, Mule-UCS generates CCL program from the translation rule, but
in the future, Mule-UCS may support another conversion engine on Emacs.

  And we prepared 3 predefined conversions for Mule-UCS.

  (1) ... Unicode(UTF-7/8/16) support.
  (2) ... Big5 <-> CNS conversion support.
  (3) ... JIS X 0213 support. (Kawabata-san contributed almost all of the works.)

  These are included in this package.

  This version supports Emacs 20.6 or later; XEmacs 21.2.37 or later; and
Meadow 1.12 Beta 1 or later.
If your Emacs have Mule 4.1(AOI) or later features, you can utilize UTF-8/16
autodetection facility.  You can upgrade your Emacs to Mule 4.1 by applying
the patch(emacs-20.7-mule-4.1.patch.txt) included in this package.

%package -n Mule-UCS-emacs
Summary: MULE-UCS is a coding system and character code translator system.
Group: Applications/Editors
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n Mule-UCS-emacs
  Mule-UCS is an Emacs Lisp library to define encoding/decoding schemes by
rather simple translation rules.

  Emacs prepares encoding/decoding schemes in the following 2 mechanisms.

  (A) ... built-in ISO/IEC 2022 encoder/decoder
  (B) ... Code Conversion Language(CCL) engine

  Although (A) provides powerful encoding/decoding schemes as to ISO/IEC 2022,
we cannot utilize this for any other encoding schemes.
(B) is a simple register machine.  However, CCL is an arcane language
because it is mysterious and obscure:-P.

  Mule-UCS provides flexible and complehensible encoding mechanism to Emacs.
Currently, Mule-UCS generates CCL program from the translation rule, but
in the future, Mule-UCS may support another conversion engine on Emacs.

  And we prepared 3 predefined conversions for Mule-UCS.

  (1) ... Unicode(UTF-7/8/16) support.
  (2) ... Big5 <-> CNS conversion support.
  (3) ... JIS X 0213 support. (Kawabata-san contributed almost all of the works.)

  These are included in this package.

  This version supports Emacs 20.6 or later; XEmacs 21.2.37 or later; and
Meadow 1.12 Beta 1 or later.
If your Emacs have Mule 4.1(AOI) or later features, you can utilize UTF-8/16
autodetection facility.  You can upgrade your Emacs to Mule 4.1 by applying
the patch(emacs-20.7-mule-4.1.patch.txt) included in this package.

%package -n Mule-UCS-xemacs
Summary: A coding system and character code translator system for XEmacs
Group: Applications/Editors
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n Mule-UCS-xemacs
  Mule-UCS is an Emacs Lisp library to define encoding/decoding schemes by
rather simple translation rules.

  Emacs prepares encoding/decoding schemes in the following 2 mechanisms.

  (A) ... built-in ISO/IEC 2022 encoder/decoder
  (B) ... Code Conversion Language(CCL) engine

  Although (A) provides powerful encoding/decoding schemes as to ISO/IEC 2022,
we cannot utilize this for any other encoding schemes.
(B) is a simple register machine.  However, CCL is an arcane language
because it is mysterious and obscure:-P.

  Mule-UCS provides flexible and complehensible encoding mechanism to Emacs.
Currently, Mule-UCS generates CCL program from the translation rule, but
in the future, Mule-UCS may support another conversion engine on Emacs.

  And we prepared 3 predefined conversions for Mule-UCS.

  (1) ... Unicode(UTF-7/8/16) support.
  (2) ... Big5 <-> CNS conversion support.
  (3) ... JIS X 0213 support. (Kawabata-san contributed almost all of the works.)

  These are included in this package.

  This version supports Emacs 20.6 or later; XEmacs 21.2.37 or later; and
Meadow 1.12 Beta 1 or later.
If your Emacs have Mule 4.1(AOI) or later features, you can utilize UTF-8/16
autodetection facility.  You can upgrade your Emacs to Mule 4.1 by applying
the patch(emacs-20.7-mule-4.1.patch.txt) included in this package.

%prep
#%%setup -q -n Mule-UCS-%{version}
#%%setup -q -n Mule-UCS-current
#%%setup -q -n mule-ucs
#%%setup -q -n mule-ucs-20061116-2
#
%setup -q -n mule-ucs-%{src_date}-%{src_num}
tar xvzf %{SOURCE1} -C ./lisp/
tar xvzf %{SOURCE2} -C ./lisp/ 

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{e_sitedir}/Mule-UCS/{jisx0213,big5conv,jisx0208ex,reldata}
%__mkdir_p %{buildroot}%{xe_sitedir}/Mule-UCS/{jisx0213,big5conv,jisx0208ex,reldata}

# emacs
emacs -batch -q --no-site-file -l mucs-comp.el
(cd lisp/jisx0213/
emacs -batch -q --no-site-file -l x0213-comp.el
)
(cd lisp/big5conv/
emacs -batch -q --no-site-file -l big5-comp.el
)
(cd lisp/jisx0208ex/
emacs -batch -q --no-site-file -l comp.el
)
(cd lisp
%__install -m 644 *.el* %{buildroot}%{e_sitedir}/Mule-UCS/
%__install -m 644 jisx0213/*.el* %{buildroot}%{e_sitedir}/Mule-UCS/jisx0213/
%__install -m 644 big5conv/*.el* %{buildroot}%{e_sitedir}/Mule-UCS/big5conv/
%__install -m 644 jisx0208ex/*.el* %{buildroot}%{e_sitedir}/Mule-UCS/jisx0208ex/
%__install -m 644 reldata/*.el* %{buildroot}%{e_sitedir}/Mule-UCS/reldata/
%__rm -f *.elc */*.elc
)

# xemacs
#mv lisp/un-define.el.orig lisp/un-define.el
xemacs --vanilla -batch -l mucs-comp.el
(cd lisp/xjisx0213/
xemacs --vanilla -batch -l x0213-comp.el
)
(cd lisp/big5conv/
xemacs --vanilla -batch -l big5-comp.el
)
(cd lisp/jisx0208ex/
xemacs --vanilla -batch -l comp.el
)
(cd lisp
%__install -m 644 *.el* %{buildroot}%{xe_sitedir}/Mule-UCS/
%__install -m 644 xjisx0213/*.el* %{buildroot}%{xe_sitedir}/Mule-UCS/jisx0213/
%__install -m 644 big5conv/*.el* %{buildroot}%{xe_sitedir}/Mule-UCS/big5conv/
%__install -m 644 jisx0208ex/*.el* %{buildroot}%{xe_sitedir}/Mule-UCS/jisx0208ex/
%__install -m 644 reldata/*.el* %{buildroot}%{xe_sitedir}/Mule-UCS/reldata/
)

%install
cd lisp
%__rm -rf *.el* */*.el* reldata
%__mkdir_p %{buildroot}%{_datadir}/config-sample/elisp-Mule-UCS/
%__install -c -m 644 %{SOURCE100} %{buildroot}%{_datadir}/config-sample/elisp-Mule-UCS/

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog doc lisp
%{_datadir}/config-sample/%{name}

%files -n Mule-UCS-emacs
%defattr(-,root,root)
%{e_sitedir}/Mule-UCS

%files -n Mule-UCS-xemacs
%defattr(-,root,root)
%{xe_sitedir}/Mule-UCS

%changelog
* Fri Jul 13 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.85-0.20061127.11m)
- rename Source100: xemacs-init.el -> dot.emacs

* Mon Jul  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.85-0.20061127.10m)
- revise config-sample

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.85-0.20061127.9m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061127.8m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061127.7m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061127.6m)
- rebuild against emacs-22.0.95

* Wed Feb 28 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.85-0.20061127.5m)
- no nosource

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061127.4m)
- rebuild against emacs-22.0.94

* Sun Feb 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.85-0.20061127.3m)
- add Epoch: 1

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061127.2m)
- rebuild against emacs-22.0.93

* Fri Dec 29 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.85-0.20061127.1m)
- update source0 to 20061127 snapshot (20061116 is not available now)

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061116.4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20061116.3m)
- rebuild against emacs-22.0.91
- update source0 ; and chenge src0_md5sum

* Tue Nov 21 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.85-0.20061116.2m)
- change Source0 md5sum

* Sat Nov 18 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.85-0.20061116.1m)
- update Source0

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.20050930.2m)
- rebuild against emacs-22.0.90

* Mon Aug 21 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.85-0.20050930.1m)
- update to cvs snapshot
- add JIS X 0208 extenstion (un-jisx0208ex)
- fix release tag

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.85-0.220030324m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.85-0.220030323m)
- use %%{xe_sitedir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.85-0.220030322m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.85-0.220030321m)
- rebuild against emacs-21.3.50

* Fri Mar 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.85-0.120030321m)
- version 0.84 made a error when run on emacs-21.3.
- update to upstream test version.
- and stopped NoSource temporarily.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.84-18m)
- rebuild against emacs-21.3

* Tue Jul  9 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.84-17m)
- jisx0213 on XEmacs

* Sat Mar 30 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.84-16k)
- apply a patch to mitigate slow Mule-UCS loading in Emacs 21.2

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.84-14k)
- rebuild against emacs-21.2

* Thu Dec 20 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.84-12k)
- remove el and elc files from doc dir

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.84-10k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Tue Oct 23 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.84-8k)
- rebuild against emacs-21.1 and xemacs-21.4
- use not 'cp' and 'mv' but 'install'
- bytecompile big5conv on xemacs

* Sun Oct 21 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.84-6k)
- requires common package

* Sat Oct 20 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-Mule-UCS-0.84-4k)
- merge Mule-UCS-{emacs, xemacs} into elisp-Mule-UCS

* Tue Jul 17 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.84-2k)
- import to 2.0

* Fri Jul 13 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.84-3k)
- version 0.84

* Wed Nov 22 2000 KIM Hyeong Cheol <kim@kondara.org>
- (0.83-3k)
- removed patch(Mule-UCS-tmp.patch). merged to original distribution.
- modified %description.
- modified %BuildPrereq and %Requires (emacs >= 20.6)

* Tue Nov 21 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.83-1k)
- update to 0.83

* Tue Nov  7 2000 KIM Hyeong Cheol <kim@kondara.org>
- temporaly fix for un-define.el (Mule-UCS-tmp.patch)
   this patch will be unnecessary in next release

* Mon Oct 23 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.82-3k)
- modify License: distributable to GPL

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (0.82-1k)
- change name Mule-UCS-emacs from Mule-UCS
- modify specfile (License)

* Fri Oct 20 2000 Toshiro HIKITA <toshi@sodan.org>
- name was changed (Mule-UCS -> Mule-UCS-emacs)
  (and add %obsoletes)

* Tue Oct 10 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.83.pre-1k)
- up to current

* Sun Sep 10 2000 KIK Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (0.82-1k)
- up to 0.81

* Wed Jul 12 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- (0.81-1k)
- up to 0.81

* Wed Jun 14 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- now this package includes all elisp files in Mule-UCS :-P

* Sat Jun 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 0.80
- name was changed (Mule-UCS-emacs -> Mule-UCS)
  (and add %obsoletes)

* Fri Mar 10 2000 Hidetomo Machi <mcHT@kondara.org>
- version 0.72
- modified spec

* Thu Dec 30 1999 SAKA Toshihide <saka@yugen.org>
- First release.
